Issue 97338 - Drawing and Impress crashes when rightclicking on thumbnail page
Summary: Drawing and Impress crashes when rightclicking on thumbnail page
Status: CLOSED FIXED
Alias: None
Product: Draw
Classification: Application
Component: code (show other issues)
Version: DEV300m37
Hardware: All All
: P2 Trivial (vote)
Target Milestone: OOo 3.1
Assignee: wolframgarten
QA Contact: issues@graphics
URL:
Keywords:
Depends on:
Blocks: 84405
  Show dependency tree
 
Reported: 2008-12-17 06:28 UTC by amy2008
Modified: 2009-02-16 16:49 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description amy2008 2008-12-17 06:28:48 UTC
Can reproduce it in Drawing and Impress with DEV300m37 on WinXP and Ubuntu

How to reproduce it
1 Open a new Impress file (or Drawing)
2 Insert - Picture - From file
3 Select a picture you like, 'Insert' it, click empty area of slide page,
  then rightclick to show the menu, let the menu be still there, move your
  mouse to the same page in thumbnail, rightclick

Result 
OOo crashes

Expectation
OOo works well

Regards 
Li Meiying
Comment 1 amy2008 2008-12-17 06:35:30 UTC
Note
Actually, if inserting all kinds of Fields, Hyperlink, Picture, Table, Movie 
and Sound, Object - Sound, FloatingFrame, all of drawings on drawing bar, can 
also make OOo crashed

Li Meiying
Comment 2 wolframgarten 2009-01-06 11:38:27 UTC
The last right click in the main area must be made onto the inserted picture to
show the menu. Reproducible. Reassigned.
Comment 3 groucho266 2009-01-16 10:55:53 UTC
The SlideSorterController uses the SfxDispatcher of its view shell to display
the context menu.  In the situation described above this dispatcher is, for some
unknown reason, missing.

Checking the existence of the dispatcher fixes the crash.

Modified file is sd/source/ui/slidesorter/controller/SlideSorterController.cxx
rev. 266411
Comment 4 groucho266 2009-01-21 12:13:38 UTC
@WG: Please verify.
Comment 5 wolframgarten 2009-01-26 15:07:09 UTC
Verified in CWS.
Comment 6 wolframgarten 2009-02-16 16:49:27 UTC
Tested in OOO310_m1. Closed.